%global git_tag a872c9825653f59ddd65ce620dc2f75fb1866c23
%global git_short_tag %(c=%{git_tag}; echo ${c:0:7})
%global _bootstrap 0

Name:		eclipse-emf-mwe
Version:	2.9.0
Release:	0.3.git%{git_short_tag}%{?dist}
Summary:	Modeling Workflow Engine
License:	EPL
URL:		https://eclipse.org/modeling/emft/?project=mwe

Source0:	https://git.eclipse.org/c/emf/org.eclipse.mwe.git/snapshot/org.eclipse.mwe-%{git_tag}.zip

BuildArch:	noarch

BuildRequires:	tycho
BuildRequires:	tycho-extras
BuildRequires:	guava
BuildRequires:	google-guice
BuildRequires:	antlr32-java
BuildRequires:	eclipse-platform >= 1:4.4
BuildRequires:	apache-commons-cli
BuildRequires:	eclipse-emf-runtime
BuildRequires:	eclipse-license

%if ! %{_bootstrap}
BuildRequires:	eclipse-xtext
%endif

%description
MWE is a framework for the integration of model processing work flows.

%prep
%setup -q -n org.eclipse.mwe-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

pushd maven/org.eclipse.emf.mwe2.parent

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin

%if %{_bootstrap}
%pom_disable_module ../../plugins/org.eclipse.emf.mwe2.language
%pom_disable_module ../../plugins/org.eclipse.emf.mwe2.launch
%endif

popd
%build
%mvn_build  -j -- -f maven/org.eclipse.emf.mwe2.parent/pom.xml

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.emf.mwe.license-feature/epl-v10.html

%changelog
* Fri Nov 27 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.3.gita872c98
- bootstrap flag off


* Fri Nov 20 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.2.gita872c98
- rpmlint issues fixed

* Tue Nov 17 2015 Sopot Cela <scela@redhat.com> - 2.9.0-0.1.gita872c98
- Initial packaging
